/*
 * BtTabWidget.h is part of Brewtarget, and is Copyright the following
 * authors 2009-2021
 * - Matt Young <mfsy@yahoo.com>
 * - Philip Greggory Lee <rocketman768@gmail.com>
 *
 * Brewtarget is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Brewtarget is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef CONFIG_IN
#define CONFIG_IN
#pragma once

/**
 * This file gets converted to build/src/config.h by CMake (see configure_file command in CMakeLists.txt in top-level
 * directory)
 *
 * This is a way to pass CMake variables into the code
 *
 * See config.h.in for the equivalent for Meson
 */

//! Used on Linux as a fallback way of determining where to look for resources - see Application.cpp
constexpr char const * CONFIG_DATA_DIR = "/usr/share/brewtarget/";

//! This constant makes sharing code between Brewtarget and Brewken slightly easier
// (Here, UC means upper case first letter, LC means lower case first letter)
constexpr char const * CONFIG_APPLICATION_NAME_UC = "Brewtarget";
constexpr char const * CONFIG_APPLICATION_NAME_LC = "brewtarget";

// This one has to be a #define rather than a constexpr because it's used in ui/mainWindow.ui which is processed into
// C++ code by the Qt Meta Object Compiler (MOC) and the MOC can't handle use of a constexpr const in a ui file.
#define CONFIG_VERSION_STRING "3.0.11"

// Build info
constexpr char const * CONFIG_BUILD_SYSTEM    = "Linux-5.15.126-server-1.mga8";
constexpr char const * CONFIG_RUN_SYSTEM      = "Linux-5.15.126-server-1.mga8";
constexpr char const * CONFIG_CXX_COMPILER_ID = "GNU";
constexpr char const * CONFIG_BUILD_TIMESTAMP = "2024-04-23 02:38:51 (UTC)";

#endif
